Subject: Re: 1.5.18-1 Segfault on setup postinstall
From: "Andrew Comport" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 15 Sep 2005 20:36:48 +0200

Eric Blake wrote:

>>I left the install running overnight....still no progress...
>
>
>Part of your problem is explained by this:
>
>>Not Found: sh
>
>
>/etc/postinstall/00ash.sh tries to set up a working /bin/sh.  If that
>fails, then everything else is suspect.
>

Upon inspection It is bash.exe (called within 00ash.sh) which crashes. I 
have created a strace for bash.exe which I have attached as a file.  I have 
been unable to decipher eactly where this crashes.

Please note that i have edited the file to replace my Firstname and Lastname 
to be Firstname and Lastname.

>>Apparently its not cygcheck that crashes but id.exe:
>>
>>      3 [main] id 2792 handle_exceptions: Exception: 
>>STATUS_ACCESS_VIOLATION
>>  18910 [main] id 2792 open_stackdumpfile: Dumping stack trace to 
>>id.exe.stackdu
>>mp
>>garbled output from `id' command - no uid= found
>
>
>Figuring this out might help.  Can you run 'strace -o strace.out id'
>and attach strace.out to your reply, to see if something obvious
>in id.exe or cygwin1.dll is reading bad memory?  You may also
>want to try reinstalling coreutils, in case id.exe is corrupt.
>
>>I have also checked my PATH  and set it to the basic PATHs of windows only 
>>so as to make sure no similar commands are on the path (which didnt help).
>
>
>While not exactly wrong to change your PATH just before running
>cygcheck, it is a bit counterintuitive since part of cygcheck's purpose
>is to diagnose PATH problems in your current PATH.
>

I actually tried both ways. One with a minimal PATH and one with everything. 
The cygcheck output was the one without altering the full path.

Thanks for you help so far,

Andrew

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/